Get records
GET /api/v1/entities/get: request fields and declared response contract.
GET/api/v1/entities/get
| Permission | settings.read |
|---|---|
| Workspace scope | required |
| Scope target | entity-kind |
Parameters
Path parameters: none.
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| entityKind | string | required | non-null | — |
| recordId | string | required | non-null | — |
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.ref | object | required | non-null | — |
| data.ref.kind | string | required | non-null | — |
| data.ref.id | string | required | non-null | — |
| data.entityKind | string | required | non-null | — |
| data.title | string | optional | non-null | — |
| data.fields | object | required | non-null | — |
| data.fieldGroups | object | required | non-null | — |
| data.fieldGroups.primary | array | required | non-null | — |
| data.fieldGroups.general | array | required | non-null | — |
| data.relationships | array | required | non-null | — |
| data.listMemberships | array | required | non-null | — |
| data.operationHandles | object | required | non-null | — |
| data.operationHandles.actions | object | required | non-null | — |
| data.operationHandles.actions.command | string | required | non-null | — |
| data.operationHandles.actions.args | object | required | non-null | — |
| data.operationHandles.functions | object | required | non-null | — |
| data.operationHandles.functions.command | string | required | non-null | — |
| data.operationHandles.functions.args | object | required | non-null | — |
| data.provenanceHandles | object | required | non-null | — |
| data.provenanceHandles.historyAsOf | object | required | non-null | — |
| data.provenanceHandles.historyAsOf.command | string | required | non-null | — |
| data.provenanceHandles.historyAsOf.args | object | required | non-null | — |
| data.provenanceHandles.historyDiff | object | required | non-null | — |
| data.provenanceHandles.historyDiff.command | string | required | non-null | — |
| data.provenanceHandles.historyDiff.args | object | required | non-null | — |
| data.effectiveAccess | object | required | non-null | — |
| data.effectiveAccess.readPermission | string | required | non-null | — |
| data.effectiveAccess.updatePermission | string | required | non-null | — |
| data.effectiveAccess.maskedFieldCount | number | required | non-null | — |
| data.maskedFields | array | required | non-null | — |
Declared failures
| ACCESS_DENIED | 403 — not retryable |
|---|---|
| CORE_ERROR | 500 — not retryable |
| GOVERNANCE_DENIED | 403 — not retryable |
| VALIDATION_ERROR | 400 — not retryable |
| VALIDATION_INPUT_ERROR | 400 — not retryable |
Readback
This method returns the current state it read.
- entities.get
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/entities/get?entityKind=<entityKind>&recordId=<recordId> HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>